%define pypi_name gphoto2

Name:           python-%{pypi_name}
Version:        2.5.1
Release:        %mkrel 2
Summary:        Python interface to libgphoto2
Group:          Development/Python
License:        GPLv3+
URL:            https://github.com/jim-easterbrook/python-gphoto2
Source0:        %{url}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Use-SWIG_AppendOutput-macro.patch
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libgphoto2)
BuildRequires:  swig

%description
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

%package -n python3-%{pypi_name}
Summary:        Python 3 interface to libgphoto2
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

%package examples
Summary:        Example files for python-gphoto2
BuildArch:      noarch
Requires:       python3-%{pypi_name}

%description examples
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

This package contains the example files.

%prep
%autosetup -p1

%py3_shebang_fix examples/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%{python3} developer/build_swig.py
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gphoto2

%check
%{__python3} setup.py check

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGELOG.txt

%files examples
%{_datadir}/doc/python3-gphoto2/


%changelog
* Tue Dec 24 2024 wally <wally> 2.5.1-2.mga10
+ Revision: 2129900
- use more properly named source tarball
- use %%py3_shebang_fix to fix python shebangs
- fix build with SWIG >= 4.3.0

* Wed Dec 18 2024 papoteur <papoteur> 2.5.1-1.mga10
+ Revision: 2126133
- new version 2.5.1
- use tarball from guthub, it includes developper directory
- disable rebuild of swig files, it is not ready for swig 4.3

* Tue Dec 12 2023 papoteur <papoteur> 2.2.1-5.mga10
+ Revision: 2017527
- rebuild for python3.12
- adapt to pyproject

* Mon Mar 28 2022 umeabot <umeabot> 2.2.1-4.mga9
+ Revision: 1830599
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 2.2.1-3.mga9
+ Revision: 1778533
- Rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 2.2.1-2.mga9
+ Revision: 1716954
- rebuild for python 3.9

* Thu Mar 26 2020 danf <danf> 2.2.1-1.mga8
+ Revision: 1560871
- Upgraded to 2.2.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.0.0-2.mga8
+ Revision: 1443316
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jul 06 2019 kekepower <kekepower> 2.0.0-1.mga8
+ Revision: 1419140
- Update to version 2.0.0

* Mon Jan 07 2019 kekepower <kekepower> 1.9.0-1.mga7
+ Revision: 1351166
- Update to version 1.9.0

* Fri Nov 23 2018 kekepower <kekepower> 1.8.5-1.mga7
+ Revision: 1333534
- Update to version 1.8.5

* Sat Nov 03 2018 kekepower <kekepower> 1.8.3-1.mga7
+ Revision: 1327786
- Update to version 1.8.3

* Sun Sep 23 2018 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1300490
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 1.8.2-1.mga7
+ Revision: 1220393
- Create py3dir to make build_swig correct
- imported package python-gphoto2

